Subject: bug#74561: [PATCH] Allow limiting the size of *Completions*

From: Stefan Monnier <[email-masked]>
Date: Fri, 14 Feb 2025 17:05:09 -0500

> In the process, I realized that this optimization doesn't help
> completions-format=vertical without a lot of effort, since that fills
> the entire first column before continuing to the second column.

FWIW, maybe we should change this behavior so instead of filling
column-by-column we fill line-by-line.

When the result completely fits in the *Completions* window, the current
behavior is arguably superior (assuming alphabetical sorting: it tends
to make it easier to see the common prefixes), but for longer
completion lists I don't like it very much.

        Stefan